function DATAinsert = cellMakerTLHRH(IDcentralina,DTcatena,NodeNum,cTLHRH,ListaDate,...
                ErrTiltLinkHRH,ARRAYdateTLHRH,Y_TLHRH,Z_TLHRH,Ylocal_TLHRH,Zlocal_TLHRH,...
                AlfaX_TLHRH,AlfaY_TLHRH,TempDef_TLHRH,Speed_TLHRH,Speed_local_TLHRH,...
                Acceleration_TLHRH,Acceleration_local_TLHRH)

TempDef_TLHRH = TempDef_TLHRH';
l = ListaDate;
DATAinsert = cell(l,17);

for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdateTLHRH(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdateTLHRH(ii),'HH:MM:SS');
    DATAinsert{ii,6} = Y_TLHRH(cTLHRH,ii);
    DATAinsert{ii,7} = Z_TLHRH(cTLHRH,ii);
    DATAinsert{ii,8} = Ylocal_TLHRH(cTLHRH,ii);
    DATAinsert{ii,9} = Zlocal_TLHRH(cTLHRH,ii);
    DATAinsert{ii,10} = TempDef_TLHRH(cTLHRH,ii);
    DATAinsert{ii,11} = Speed_TLHRH(cTLHRH,ii);
    DATAinsert{ii,12} = Speed_local_TLHRH(cTLHRH,ii);
    DATAinsert{ii,13} = Acceleration_TLHRH(cTLHRH,ii);
    DATAinsert{ii,14} = Acceleration_local_TLHRH(cTLHRH,ii);
    DATAinsert{ii,15} = ErrTiltLinkHRH(cTLHRH,ii);
    DATAinsert{ii,16} = AlfaX_TLHRH(cTLHRH,ii);
    DATAinsert{ii,17} = AlfaY_TLHRH(cTLHRH,ii);
end

end